Subject: bug#13795: 24.3.50; epa-insert-keys improvements

From: Richard Stallman <[email-masked]>
Date: Tue, 08 Dec 2020 00:35:43 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > It could save the text in a file, and compare that file's mtime with
  > > that of the keyring to see whether to regenerate the file.  That way,
  > > the memoization will work from one Emacs session to another.

  > I think caching the data in a file would be more bother than it's worth,

It would hardly be any bother.  One function call can write it,
and one function call can read it.  It might be just as easy as caching
in a buffer.

But caching in a buffer would provide most of the benefit of caching
in a file.

-- 
Dr Richard Stallman
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)